#ifndef VYMVIEW_H 
#define VYMVIEW_H

#include <QItemSelectionModel>
#include <QWidget>

class VymModel;
class MapEditor;
class TreeEditor;
class FindWidget;

class QTreeView;

class VymView:public QWidget
{
	Q_OBJECT
public:
	VymView(VymModel *model);
	~VymView();
	VymModel* getModel();
	MapEditor* getMapEditor();
	void initFocus();

public slots:
	void changeSelection (const QItemSelection &newSel, const QItemSelection &delSel);
	void changeProxySelection (const QItemSelection &newSel, const QItemSelection &delSel);
	void expandAll ();
	void expandOneLevel ();
	void collapseOneLevel ();
	void showSelection ();
	void showFindWidget();
	void hideFindWidget();
	void findNext (QString s);
	void findReset();
	void toggleTreeEditor();

private:
	VymModel *model;
	TreeEditor *treeEditor;
	QItemSelectionModel *proxySelModel;
	QItemSelectionModel *selModel;
	MapEditor *mapEditor;
	FindWidget *findWidget;
};


#endif

